Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/HiveDataContext.designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/HiveDataContext.designer.cs	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/HiveDataContext.designer.cs	(revision 6721)
@@ -43,7 +43,7 @@
     partial void UpdateResource(Resource instance);
     partial void DeleteResource(Resource instance);
-    partial void InsertJob(Job instance);
-    partial void UpdateJob(Job instance);
-    partial void DeleteJob(Job instance);
+    partial void InsertTask(Task instance);
+    partial void UpdateTask(Task instance);
+    partial void DeleteTask(Task instance);
     partial void InsertDowntime(Downtime instance);
     partial void UpdateDowntime(Downtime instance);
@@ -52,7 +52,7 @@
     partial void UpdateHiveExperiment(HiveExperiment instance);
     partial void DeleteHiveExperiment(HiveExperiment instance);
-    partial void InsertJobData(JobData instance);
-    partial void UpdateJobData(JobData instance);
-    partial void DeleteJobData(JobData instance);
+    partial void InsertTaskData(TaskData instance);
+    partial void UpdateTaskData(TaskData instance);
+    partial void DeleteTaskData(TaskData instance);
     partial void InsertPluginData(PluginData instance);
     partial void UpdatePluginData(PluginData instance);
@@ -143,9 +143,9 @@
 		}
 		
-		public System.Data.Linq.Table<Job> Jobs
-		{
-			get
-			{
-				return this.GetTable<Job>();
+		public System.Data.Linq.Table<Task> Tasks
+		{
+			get
+			{
+				return this.GetTable<Task>();
 			}
 		}
@@ -167,9 +167,9 @@
 		}
 		
-		public System.Data.Linq.Table<JobData> JobDatas
-		{
-			get
-			{
-				return this.GetTable<JobData>();
+		public System.Data.Linq.Table<TaskData> TaskDatas
+		{
+			get
+			{
+				return this.GetTable<TaskData>();
 			}
 		}
@@ -252,5 +252,5 @@
 		private EntityRef<Resource> _Resource;
 		
-		private EntityRef<Job> _Job;
+		private EntityRef<Task> _Job;
 		
     #region Extensibility Method Definitions
@@ -260,6 +260,6 @@
     partial void OnResourceIdChanging(System.Guid value);
     partial void OnResourceIdChanged();
-    partial void OnJobIdChanging(System.Guid value);
-    partial void OnJobIdChanged();
+    partial void OnTaskIdChanging(System.Guid value);
+    partial void OnTaskIdChanged();
     #endregion
 		
@@ -267,5 +267,5 @@
 		{
 			this._Resource = default(EntityRef<Resource>);
-			this._Job = default(EntityRef<Job>);
+			this._Job = default(EntityRef<Task>);
 			OnCreated();
 		}
@@ -296,5 +296,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_JobId", DbType="UniqueIdentifier NOT NULL", IsPrimaryKey=true)]
-		public System.Guid JobId
+		public System.Guid TaskId
 		{
 			get
@@ -310,9 +310,9 @@
 						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
 					}
-					this.OnJobIdChanging(value);
+					this.OnTaskIdChanging(value);
 					this.SendPropertyChanging();
 					this._JobId = value;
-					this.SendPropertyChanged("JobId");
-					this.OnJobIdChanged();
+					this.SendPropertyChanged("TaskId");
+					this.OnTaskIdChanged();
 				}
 			}
@@ -353,6 +353,6 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Job_AssignedResource", Storage="_Job", ThisKey="JobId", OtherKey="JobId", IsForeignKey=true, DeleteRule="CASCADE")]
-		public Job Job
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Task_AssignedResource", Storage="_Job", ThisKey="TaskId", OtherKey="TaskId", IsForeignKey=true, DeleteRule="CASCADE")]
+		public Task Task
 		{
 			get
@@ -362,5 +362,5 @@
 			set
 			{
-				Job previousValue = this._Job.Entity;
+				Task previousValue = this._Job.Entity;
 				if (((previousValue != value) 
 							|| (this._Job.HasLoadedOrAssignedValue == false)))
@@ -376,5 +376,5 @@
 					{
 						value.AssignedResources.Add(this);
-						this._JobId = value.JobId;
+						this._JobId = value.TaskId;
 					}
 					else
@@ -382,5 +382,5 @@
 						this._JobId = default(System.Guid);
 					}
-					this.SendPropertyChanged("Job");
+					this.SendPropertyChanged("Task");
 				}
 			}
@@ -660,5 +660,5 @@
 		private EntityRef<Plugin> _PluginInfo;
 		
-		private EntityRef<Job> _Job;
+		private EntityRef<Task> _Job;
 		
     #region Extensibility Method Definitions
@@ -668,6 +668,6 @@
     partial void OnRequiredPluginIdChanging(System.Guid value);
     partial void OnRequiredPluginIdChanged();
-    partial void OnJobIdChanging(System.Guid value);
-    partial void OnJobIdChanged();
+    partial void OnTaskIdChanging(System.Guid value);
+    partial void OnTaskIdChanged();
     partial void OnPluginIdChanging(System.Guid value);
     partial void OnPluginIdChanged();
@@ -677,5 +677,5 @@
 		{
 			this._PluginInfo = default(EntityRef<Plugin>);
-			this._Job = default(EntityRef<Job>);
+			this._Job = default(EntityRef<Task>);
 			OnCreated();
 		}
@@ -702,5 +702,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_JobId", DbType="UniqueIdentifier NOT NULL")]
-		public System.Guid JobId
+		public System.Guid TaskId
 		{
 			get
@@ -716,9 +716,9 @@
 						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
 					}
-					this.OnJobIdChanging(value);
+					this.OnTaskIdChanging(value);
 					this.SendPropertyChanging();
 					this._JobId = value;
-					this.SendPropertyChanged("JobId");
-					this.OnJobIdChanged();
+					this.SendPropertyChanged("TaskId");
+					this.OnTaskIdChanged();
 				}
 			}
@@ -783,6 +783,6 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Job_RequiredPlugin", Storage="_Job", ThisKey="JobId", OtherKey="JobId", IsForeignKey=true)]
-		public Job Job
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Task_RequiredPlugin", Storage="_Job", ThisKey="TaskId", OtherKey="TaskId", IsForeignKey=true)]
+		public Task Task
 		{
 			get
@@ -792,5 +792,5 @@
 			set
 			{
-				Job previousValue = this._Job.Entity;
+				Task previousValue = this._Job.Entity;
 				if (((previousValue != value) 
 							|| (this._Job.HasLoadedOrAssignedValue == false)))
@@ -806,5 +806,5 @@
 					{
 						value.RequiredPlugins.Add(this);
-						this._JobId = value.JobId;
+						this._JobId = value.TaskId;
 					}
 					else
@@ -812,5 +812,5 @@
 						this._JobId = default(System.Guid);
 					}
-					this.SendPropertyChanged("Job");
+					this.SendPropertyChanged("Task");
 				}
 			}
@@ -1446,6 +1446,6 @@
 	}
 	
-	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Job")]
-	public partial class Job : INotifyPropertyChanging, INotifyPropertyChanged
+	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Task")]
+	public partial class Task : INotifyPropertyChanging, INotifyPropertyChanged
 	{
 		
@@ -1454,5 +1454,5 @@
 		private System.Guid _JobId;
 		
-		private global::HeuristicLab.Services.Hive.DataAccess.JobState _State;
+		private global::HeuristicLab.Services.Hive.DataAccess.TaskState _State;
 		
 		private double _ExecutionTime;
@@ -1482,11 +1482,11 @@
 		private EntitySet<RequiredPlugin> _RequiredPlugins;
 		
-		private EntitySet<Job> _Jobs;
-		
-		private EntityRef<JobData> _JobData;
+		private EntitySet<Task> _Jobs;
+		
+		private EntityRef<TaskData> _JobData;
 		
 		private EntitySet<StateLog> _StateLogs;
 		
-		private EntityRef<Job> _Job1;
+		private EntityRef<Task> _Job1;
 		
 		private EntityRef<HiveExperiment> _HiveExperiment;
@@ -1496,7 +1496,7 @@
     partial void OnValidate(System.Data.Linq.ChangeAction action);
     partial void OnCreated();
-    partial void OnJobIdChanging(System.Guid value);
-    partial void OnJobIdChanged();
-    partial void OnStateChanging(global::HeuristicLab.Services.Hive.DataAccess.JobState value);
+    partial void OnTaskIdChanging(System.Guid value);
+    partial void OnTaskIdChanged();
+    partial void OnStateChanging(global::HeuristicLab.Services.Hive.DataAccess.TaskState value);
     partial void OnStateChanged();
     partial void OnExecutionTimeMsChanging(double value);
@@ -1504,6 +1504,6 @@
     partial void OnLastHeartbeatChanging(System.Nullable<System.DateTime> value);
     partial void OnLastHeartbeatChanged();
-    partial void OnParentJobIdChanging(System.Nullable<System.Guid> value);
-    partial void OnParentJobIdChanged();
+    partial void OnParentTaskIdChanging(System.Nullable<System.Guid> value);
+    partial void OnParentTaskIdChanged();
     partial void OnPriorityChanging(int value);
     partial void OnPriorityChanged();
@@ -1512,6 +1512,6 @@
     partial void OnMemoryNeededChanging(int value);
     partial void OnMemoryNeededChanged();
-    partial void OnIsParentJobChanging(bool value);
-    partial void OnIsParentJobChanged();
+    partial void OnIsParentTaskChanging(bool value);
+    partial void OnIsParentTaskChanged();
     partial void OnFinishWhenChildJobsFinishedChanging(bool value);
     partial void OnFinishWhenChildJobsFinishedChanged();
@@ -1524,12 +1524,12 @@
     #endregion
 		
-		public Job()
+		public Task()
 		{
 			this._AssignedResources = new EntitySet<AssignedResource>(new Action<AssignedResource>(this.attach_AssignedResources), new Action<AssignedResource>(this.detach_AssignedResources));
 			this._RequiredPlugins = new EntitySet<RequiredPlugin>(new Action<RequiredPlugin>(this.attach_RequiredPlugins), new Action<RequiredPlugin>(this.detach_RequiredPlugins));
-			this._Jobs = new EntitySet<Job>(new Action<Job>(this.attach_Jobs), new Action<Job>(this.detach_Jobs));
-			this._JobData = default(EntityRef<JobData>);
+			this._Jobs = new EntitySet<Task>(new Action<Task>(this.attach_Jobs), new Action<Task>(this.detach_Jobs));
+			this._JobData = default(EntityRef<TaskData>);
 			this._StateLogs = new EntitySet<StateLog>(new Action<StateLog>(this.attach_StateLogs), new Action<StateLog>(this.detach_StateLogs));
-			this._Job1 = default(EntityRef<Job>);
+			this._Job1 = default(EntityRef<Task>);
 			this._HiveExperiment = default(EntityRef<HiveExperiment>);
 			OnCreated();
@@ -1537,5 +1537,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_JobId", AutoSync=AutoSync.OnInsert, DbType="UniqueIdentifier NOT NULL", IsPrimaryKey=true, IsDbGenerated=true)]
-		public System.Guid JobId
+		public System.Guid TaskId
 		{
 			get
@@ -1547,15 +1547,15 @@
 				if ((this._JobId != value))
 				{
-					this.OnJobIdChanging(value);
+					this.OnTaskIdChanging(value);
 					this.SendPropertyChanging();
 					this._JobId = value;
-					this.SendPropertyChanged("JobId");
-					this.OnJobIdChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Name="JobState", Storage="_State", DbType="VarChar(30)", CanBeNull=false)]
-		public global::HeuristicLab.Services.Hive.DataAccess.JobState State
+					this.SendPropertyChanged("TaskId");
+					this.OnTaskIdChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Name="TaskState", Storage="_State", DbType="VarChar(30)", CanBeNull=false)]
+		public global::HeuristicLab.Services.Hive.DataAccess.TaskState State
 		{
 			get
@@ -1617,5 +1617,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ParentJobId", DbType="UniqueIdentifier")]
-		public System.Nullable<System.Guid> ParentJobId
+		public System.Nullable<System.Guid> ParentTaskId
 		{
 			get
@@ -1631,9 +1631,9 @@
 						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
 					}
-					this.OnParentJobIdChanging(value);
+					this.OnParentTaskIdChanging(value);
 					this.SendPropertyChanging();
 					this._ParentJobId = value;
-					this.SendPropertyChanged("ParentJobId");
-					this.OnParentJobIdChanged();
+					this.SendPropertyChanged("ParentTaskId");
+					this.OnParentTaskIdChanged();
 				}
 			}
@@ -1701,5 +1701,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_IsParentJob", DbType="Bit")]
-		public bool IsParentJob
+		public bool IsParentTask
 		{
 			get
@@ -1711,9 +1711,9 @@
 				if ((this._IsParentJob != value))
 				{
-					this.OnIsParentJobChanging(value);
+					this.OnIsParentTaskChanging(value);
 					this.SendPropertyChanging();
 					this._IsParentJob = value;
-					this.SendPropertyChanged("IsParentJob");
-					this.OnIsParentJobChanged();
+					this.SendPropertyChanged("IsParentTask");
+					this.OnIsParentTaskChanged();
 				}
 			}
@@ -1804,5 +1804,5 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Job_AssignedResource", Storage="_AssignedResources", ThisKey="JobId", OtherKey="JobId")]
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Task_AssignedResource", Storage="_AssignedResources", ThisKey="TaskId", OtherKey="TaskId")]
 		public EntitySet<AssignedResource> AssignedResources
 		{
@@ -1817,5 +1817,5 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Job_RequiredPlugin", Storage="_RequiredPlugins", ThisKey="JobId", OtherKey="JobId")]
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Task_RequiredPlugin", Storage="_RequiredPlugins", ThisKey="TaskId", OtherKey="TaskId")]
 		public EntitySet<RequiredPlugin> RequiredPlugins
 		{
@@ -1830,6 +1830,6 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Job_Job", Storage="_Jobs", ThisKey="JobId", OtherKey="ParentJobId")]
-		public EntitySet<Job> ChildJobs
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Task_Task", Storage="_Jobs", ThisKey="TaskId", OtherKey="ParentTaskId")]
+		public EntitySet<Task> ChildJobs
 		{
 			get
@@ -1843,6 +1843,6 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Job_JobData", Storage="_JobData", ThisKey="JobId", OtherKey="JobId", IsUnique=true, IsForeignKey=false)]
-		public JobData JobData
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Task_TaskData", Storage="_JobData", ThisKey="TaskId", OtherKey="TaskId", IsUnique=true, IsForeignKey=false)]
+		public TaskData JobData
 		{
 			get
@@ -1852,5 +1852,5 @@
 			set
 			{
-				JobData previousValue = this._JobData.Entity;
+				TaskData previousValue = this._JobData.Entity;
 				if (((previousValue != value) 
 							|| (this._JobData.HasLoadedOrAssignedValue == false)))
@@ -1860,10 +1860,10 @@
 					{
 						this._JobData.Entity = null;
-						previousValue.Job = null;
+						previousValue.Task = null;
 					}
 					this._JobData.Entity = value;
 					if ((value != null))
 					{
-						value.Job = this;
+						value.Task = this;
 					}
 					this.SendPropertyChanged("JobData");
@@ -1872,5 +1872,5 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Job_StateLog", Storage="_StateLogs", ThisKey="JobId", OtherKey="JobId")]
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Task_StateLog", Storage="_StateLogs", ThisKey="TaskId", OtherKey="TaskId")]
 		public EntitySet<StateLog> StateLogs
 		{
@@ -1885,6 +1885,6 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Job_Job", Storage="_Job1", ThisKey="ParentJobId", OtherKey="JobId", IsForeignKey=true)]
-		public Job ParentJob
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Task_Task", Storage="_Job1", ThisKey="ParentTaskId", OtherKey="TaskId", IsForeignKey=true)]
+		public Task ParentJob
 		{
 			get
@@ -1894,5 +1894,5 @@
 			set
 			{
-				Job previousValue = this._Job1.Entity;
+				Task previousValue = this._Job1.Entity;
 				if (((previousValue != value) 
 							|| (this._Job1.HasLoadedOrAssignedValue == false)))
@@ -1908,5 +1908,5 @@
 					{
 						value.ChildJobs.Add(this);
-						this._ParentJobId = value.JobId;
+						this._ParentJobId = value.TaskId;
 					}
 					else
@@ -1919,5 +1919,5 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="HiveExperiment_Job", Storage="_HiveExperiment", ThisKey="HiveExperimentId", OtherKey="HiveExperimentId", IsForeignKey=true)]
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="HiveExperiment_Task", Storage="_HiveExperiment", ThisKey="HiveExperimentId", OtherKey="HiveExperimentId", IsForeignKey=true)]
 		public HiveExperiment HiveExperiment
 		{
@@ -1936,10 +1936,10 @@
 					{
 						this._HiveExperiment.Entity = null;
-						previousValue.Jobs.Remove(this);
+						previousValue.Tasks.Remove(this);
 					}
 					this._HiveExperiment.Entity = value;
 					if ((value != null))
 					{
-						value.Jobs.Add(this);
+						value.Tasks.Add(this);
 						this._HiveExperimentId = value.HiveExperimentId;
 					}
@@ -1976,5 +1976,5 @@
 		{
 			this.SendPropertyChanging();
-			entity.Job = this;
+			entity.Task = this;
 		}
 		
@@ -1982,5 +1982,5 @@
 		{
 			this.SendPropertyChanging();
-			entity.Job = null;
+			entity.Task = null;
 		}
 		
@@ -1988,5 +1988,5 @@
 		{
 			this.SendPropertyChanging();
-			entity.Job = this;
+			entity.Task = this;
 		}
 		
@@ -1994,8 +1994,8 @@
 		{
 			this.SendPropertyChanging();
-			entity.Job = null;
-		}
-		
-		private void attach_Jobs(Job entity)
+			entity.Task = null;
+		}
+		
+		private void attach_Jobs(Task entity)
 		{
 			this.SendPropertyChanging();
@@ -2003,5 +2003,5 @@
 		}
 		
-		private void detach_Jobs(Job entity)
+		private void detach_Jobs(Task entity)
 		{
 			this.SendPropertyChanging();
@@ -2012,5 +2012,5 @@
 		{
 			this.SendPropertyChanging();
-			entity.Job = this;
+			entity.Task = this;
 		}
 		
@@ -2018,5 +2018,5 @@
 		{
 			this.SendPropertyChanging();
-			entity.Job = null;
+			entity.Task = null;
 		}
 	}
@@ -2291,5 +2291,5 @@
 		private bool _IsHiveEngine;
 		
-		private EntitySet<Job> _Jobs;
+		private EntitySet<Task> _Jobs;
 		
 		private EntitySet<HiveExperimentPermission> _HiveExperimentPermissions;
@@ -2319,5 +2319,5 @@
 		public HiveExperiment()
 		{
-			this._Jobs = new EntitySet<Job>(new Action<Job>(this.attach_Jobs), new Action<Job>(this.detach_Jobs));
+			this._Jobs = new EntitySet<Task>(new Action<Task>(this.attach_Jobs), new Action<Task>(this.detach_Jobs));
 			this._HiveExperimentPermissions = new EntitySet<HiveExperimentPermission>(new Action<HiveExperimentPermission>(this.attach_HiveExperimentPermissions), new Action<HiveExperimentPermission>(this.detach_HiveExperimentPermissions));
 			OnCreated();
@@ -2484,6 +2484,6 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="HiveExperiment_Job", Storage="_Jobs", ThisKey="HiveExperimentId", OtherKey="HiveExperimentId")]
-		public EntitySet<Job> Jobs
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="HiveExperiment_Task", Storage="_Jobs", ThisKey="HiveExperimentId", OtherKey="HiveExperimentId")]
+		public EntitySet<Task> Tasks
 		{
 			get
@@ -2530,5 +2530,5 @@
 		}
 		
-		private void attach_Jobs(Job entity)
+		private void attach_Jobs(Task entity)
 		{
 			this.SendPropertyChanging();
@@ -2536,5 +2536,5 @@
 		}
 		
-		private void detach_Jobs(Job entity)
+		private void detach_Jobs(Task entity)
 		{
 			this.SendPropertyChanging();
@@ -2555,6 +2555,6 @@
 	}
 	
-	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.JobData")]
-	public partial class JobData : INotifyPropertyChanging, INotifyPropertyChanged
+	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.TaskData")]
+	public partial class TaskData : INotifyPropertyChanging, INotifyPropertyChanged
 	{
 		
@@ -2567,5 +2567,5 @@
 		private System.DateTime _LastUpdate;
 		
-		private EntityRef<Job> _Job;
+		private EntityRef<Task> _Job;
 		
     #region Extensibility Method Definitions
@@ -2573,6 +2573,6 @@
     partial void OnValidate(System.Data.Linq.ChangeAction action);
     partial void OnCreated();
-    partial void OnJobIdChanging(System.Guid value);
-    partial void OnJobIdChanged();
+    partial void OnTaskIdChanging(System.Guid value);
+    partial void OnTaskIdChanged();
     partial void OnDataChanging(System.Data.Linq.Binary value);
     partial void OnDataChanged();
@@ -2581,12 +2581,12 @@
     #endregion
 		
-		public JobData()
-		{
-			this._Job = default(EntityRef<Job>);
+		public TaskData()
+		{
+			this._Job = default(EntityRef<Task>);
 			OnCreated();
 		}
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_JobId", DbType="UniqueIdentifier NOT NULL", IsPrimaryKey=true)]
-		public System.Guid JobId
+		public System.Guid TaskId
 		{
 			get
@@ -2602,9 +2602,9 @@
 						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
 					}
-					this.OnJobIdChanging(value);
+					this.OnTaskIdChanging(value);
 					this.SendPropertyChanging();
 					this._JobId = value;
-					this.SendPropertyChanged("JobId");
-					this.OnJobIdChanged();
+					this.SendPropertyChanged("TaskId");
+					this.OnTaskIdChanged();
 				}
 			}
@@ -2651,6 +2651,6 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Job_JobData", Storage="_Job", ThisKey="JobId", OtherKey="JobId", IsForeignKey=true)]
-		public Job Job
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Task_TaskData", Storage="_Job", ThisKey="TaskId", OtherKey="TaskId", IsForeignKey=true)]
+		public Task Task
 		{
 			get
@@ -2660,5 +2660,5 @@
 			set
 			{
-				Job previousValue = this._Job.Entity;
+				Task previousValue = this._Job.Entity;
 				if (((previousValue != value) 
 							|| (this._Job.HasLoadedOrAssignedValue == false)))
@@ -2674,5 +2674,5 @@
 					{
 						value.JobData = this;
-						this._JobId = value.JobId;
+						this._JobId = value.TaskId;
 					}
 					else
@@ -2680,5 +2680,5 @@
 						this._JobId = default(System.Guid);
 					}
-					this.SendPropertyChanged("Job");
+					this.SendPropertyChanged("Task");
 				}
 			}
@@ -2889,5 +2889,5 @@
 		private System.Guid _StateLogId;
 		
-		private global::HeuristicLab.Services.Hive.DataAccess.JobState _State;
+		private global::HeuristicLab.Services.Hive.DataAccess.TaskState _State;
 		
 		private System.DateTime _DateTime;
@@ -2901,5 +2901,5 @@
 		private string _Exception;
 		
-		private EntityRef<Job> _Job;
+		private EntityRef<Task> _Job;
 		
 		private EntityRef<Resource> _Resource;
@@ -2911,10 +2911,10 @@
     partial void OnStateLogIdChanging(System.Guid value);
     partial void OnStateLogIdChanged();
-    partial void OnStateChanging(global::HeuristicLab.Services.Hive.DataAccess.JobState value);
+    partial void OnStateChanging(global::HeuristicLab.Services.Hive.DataAccess.TaskState value);
     partial void OnStateChanged();
     partial void OnDateTimeChanging(System.DateTime value);
     partial void OnDateTimeChanged();
-    partial void OnJobIdChanging(System.Guid value);
-    partial void OnJobIdChanged();
+    partial void OnTaskIdChanging(System.Guid value);
+    partial void OnTaskIdChanged();
     partial void OnUserIdChanging(System.Nullable<System.Guid> value);
     partial void OnUserIdChanged();
@@ -2927,5 +2927,5 @@
 		public StateLog()
 		{
-			this._Job = default(EntityRef<Job>);
+			this._Job = default(EntityRef<Task>);
 			this._Resource = default(EntityRef<Resource>);
 			OnCreated();
@@ -2953,5 +2953,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_State", DbType="VarChar(30) NOT NULL", CanBeNull=false)]
-		public global::HeuristicLab.Services.Hive.DataAccess.JobState State
+		public global::HeuristicLab.Services.Hive.DataAccess.TaskState State
 		{
 			get
@@ -2993,5 +2993,5 @@
 		
 		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_JobId", DbType="UniqueIdentifier NOT NULL")]
-		public System.Guid JobId
+		public System.Guid TaskId
 		{
 			get
@@ -3007,9 +3007,9 @@
 						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
 					}
-					this.OnJobIdChanging(value);
+					this.OnTaskIdChanging(value);
 					this.SendPropertyChanging();
 					this._JobId = value;
-					this.SendPropertyChanged("JobId");
-					this.OnJobIdChanged();
+					this.SendPropertyChanged("TaskId");
+					this.OnTaskIdChanged();
 				}
 			}
@@ -3080,6 +3080,6 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Job_StateLog", Storage="_Job", ThisKey="JobId", OtherKey="JobId", IsForeignKey=true)]
-		public Job Job
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Task_StateLog", Storage="_Job", ThisKey="TaskId", OtherKey="TaskId", IsForeignKey=true)]
+		public Task Task
 		{
 			get
@@ -3089,5 +3089,5 @@
 			set
 			{
-				Job previousValue = this._Job.Entity;
+				Task previousValue = this._Job.Entity;
 				if (((previousValue != value) 
 							|| (this._Job.HasLoadedOrAssignedValue == false)))
@@ -3103,5 +3103,5 @@
 					{
 						value.StateLogs.Add(this);
-						this._JobId = value.JobId;
+						this._JobId = value.TaskId;
 					}
 					else
@@ -3109,5 +3109,5 @@
 						this._JobId = default(System.Guid);
 					}
-					this.SendPropertyChanged("Job");
+					this.SendPropertyChanged("Task");
 				}
 			}
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/SQL Scripts/Initialize Hive Database.sql
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/SQL Scripts/Initialize Hive Database.sql	(revision 6720)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive.DataAccess/3.3/SQL Scripts/Initialize Hive Database.sql	(revision 6721)
@@ -5,6 +5,6 @@
 CREATE TABLE [dbo].[AssignedResources](
   [ResourceId] UniqueIdentifier NOT NULL, 
-  [JobId] UniqueIdentifier NOT NULL,   
-  CONSTRAINT [PK_dbo.ResourceIdJobId] PRIMARY KEY ([ResourceId], [JobId])
+  [TaskId] UniqueIdentifier NOT NULL,   
+  CONSTRAINT [PK_dbo.ResourceIdTaskId] PRIMARY KEY ([ResourceId], [TaskId])
   )
 CREATE TABLE [dbo].[Plugin](
@@ -19,5 +19,5 @@
 CREATE TABLE [dbo].[RequiredPlugins](
   [RequiredPluginId] UniqueIdentifier NOT NULL, 
-  [JobId] UniqueIdentifier NOT NULL, 
+  [TaskId] UniqueIdentifier NOT NULL, 
   [PluginId] UniqueIdentifier NOT NULL, 
   CONSTRAINT [PK_dbo.RequiredPlugins] PRIMARY KEY ([RequiredPluginId])
@@ -42,19 +42,19 @@
   CONSTRAINT [PK_dbo.Resource] PRIMARY KEY ([ResourceId])
   )
-CREATE TABLE [dbo].[Job](
-  [JobId] UniqueIdentifier NOT NULL, 
-  [JobState] VarChar(30), 
+CREATE TABLE [dbo].[Task](
+  [TaskId] UniqueIdentifier NOT NULL, 
+  [TaskState] VarChar(30), 
   [ExecutionTimeMs] float, 
   [LastHeartbeat] DateTime, 
-  [ParentJobId] UniqueIdentifier, 
+  [ParentTaskId] UniqueIdentifier, 
   [Priority] Int NOT NULL, 
   [CoresNeeded] Int NOT NULL, 
   [MemoryNeeded] Int NOT NULL, 
-  [IsParentJob] Bit, 
+  [IsParentTask] Bit, 
   [FinishWhenChildJobsFinished] Bit, 
   [Command] VarChar(30), 
   [HiveExperimentId] UniqueIdentifier NOT NULL, 
   [IsPrivileged] Bit, 
-  CONSTRAINT [PK_dbo.Job] PRIMARY KEY ([JobId])
+  CONSTRAINT [PK_dbo.Task] PRIMARY KEY ([TaskId])
   )
 CREATE TABLE [dbo].[Downtime](
@@ -79,9 +79,9 @@
   CONSTRAINT [PK_dbo.HiveExperiment] PRIMARY KEY ([HiveExperimentId])
   )
-CREATE TABLE [dbo].[JobData](
-  [JobId] UniqueIdentifier NOT NULL, 
+CREATE TABLE [dbo].[TaskData](
+  [TaskId] UniqueIdentifier NOT NULL, 
   [Data] VarBinary(MAX), 
   [LastUpdate] DateTime, 
-  CONSTRAINT [PK_dbo.JobData] PRIMARY KEY ([JobId])
+  CONSTRAINT [PK_dbo.TaskData] PRIMARY KEY ([TaskId])
   )
 CREATE TABLE [dbo].[PluginData](
@@ -96,5 +96,5 @@
   [State] VarChar(30) NOT NULL, 
   [DateTime] DateTime NOT NULL, 
-  [JobId] UniqueIdentifier NOT NULL, 
+  [TaskId] UniqueIdentifier NOT NULL, 
   [UserId] UniqueIdentifier, 
   [SlaveId] UniqueIdentifier, 
@@ -149,23 +149,23 @@
   ADD CONSTRAINT [Resource_AssignedResource] FOREIGN KEY ([ResourceId]) REFERENCES [dbo].[Resource]([ResourceId])
 ALTER TABLE [dbo].[AssignedResources]
-  ADD CONSTRAINT [Job_AssignedResource] FOREIGN KEY ([JobId]) REFERENCES [dbo].[Job]([JobId])
+  ADD CONSTRAINT [Task_AssignedResource] FOREIGN KEY ([TaskId]) REFERENCES [dbo].[Task]([TaskId])
 ALTER TABLE [dbo].[RequiredPlugins]
   ADD CONSTRAINT [Plugin_RequiredPlugin] FOREIGN KEY ([PluginId]) REFERENCES [dbo].[Plugin]([PluginId])
 ALTER TABLE [dbo].[RequiredPlugins]
-  ADD CONSTRAINT [Job_RequiredPlugin] FOREIGN KEY ([JobId]) REFERENCES [dbo].[Job]([JobId])
+  ADD CONSTRAINT [Task_RequiredPlugin] FOREIGN KEY ([TaskId]) REFERENCES [dbo].[Task]([TaskId])
 ALTER TABLE [dbo].[Resource]
   ADD CONSTRAINT [Resource_Resource] FOREIGN KEY ([ParentResourceId]) REFERENCES [dbo].[Resource]([ResourceId])
-ALTER TABLE [dbo].[Job]
-  ADD CONSTRAINT [Job_Job] FOREIGN KEY ([ParentJobId]) REFERENCES [dbo].[Job]([JobId])
-ALTER TABLE [dbo].[Job]
+ALTER TABLE [dbo].[Task]
+  ADD CONSTRAINT [Task_Task] FOREIGN KEY ([ParentTaskId]) REFERENCES [dbo].[Task]([TaskId])
+ALTER TABLE [dbo].[Task]
   ADD CONSTRAINT [HiveExperiment_Job] FOREIGN KEY ([HiveExperimentId]) REFERENCES [dbo].[HiveExperiment]([HiveExperimentId])
 ALTER TABLE [dbo].[Downtime]
   ADD CONSTRAINT [Resource_Downtime] FOREIGN KEY ([ResourceId]) REFERENCES [dbo].[Resource]([ResourceId])
-ALTER TABLE [dbo].[JobData]
-  ADD CONSTRAINT [Job_JobData] FOREIGN KEY ([JobId]) REFERENCES [dbo].[Job]([JobId])
+ALTER TABLE [dbo].[TaskData]
+  ADD CONSTRAINT [Task_TaskData] FOREIGN KEY ([TaskId]) REFERENCES [dbo].[Task]([TaskId])
 ALTER TABLE [dbo].[PluginData]
   ADD CONSTRAINT [Plugin_PluginData] FOREIGN KEY ([PluginId]) REFERENCES [dbo].[Plugin]([PluginId])
 ALTER TABLE [dbo].[StateLog]
-  ADD CONSTRAINT [Job_StateLog] FOREIGN KEY ([JobId]) REFERENCES [dbo].[Job]([JobId])
+  ADD CONSTRAINT [Task_StateLog] FOREIGN KEY ([TaskId]) REFERENCES [dbo].[Task]([TaskId])
 ALTER TABLE [dbo].[StateLog]
   ADD CONSTRAINT [Resource_StateLog] FOREIGN KEY ([SlaveId]) REFERENCES [dbo].[Resource]([ResourceId])
